class_name Game extends Node
## Interface to the game as an application.

## Handy typed singleton access.
static var manager: GameManagerType:
	get():
		return GameManager
static var settings: GameSettingsType:
	get():
		return GameSettings
static var runtime: GameRuntimeType:
	get():
		return GameRuntime

## Global static access to Game singleton
static var instance: Game


func _ready() -> void:
	Game.instance = self
